cc.funkemunky.api.tinyprotocol.packet.types

## Enum EnumDirection.EnumDirectionLimit

- java.lang.Object
- - java.lang.Enum<EnumDirection.EnumDirectionLimit>
  - - cc.funkemunky.api.tinyprotocol.packet.types.EnumDirection.EnumDirectionLimit

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EnumDirection.EnumDirectionLimit>

Enclosing class:
  EnumDirection

    public static enum EnumDirection.EnumDirectionLimit
    extends java.lang.Enum<EnumDirection.EnumDirectionLimit>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HORIZONTAL`
`VERTICAL`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `a(EnumDirection var1)`
`static EnumDirection.EnumDirectionLimit` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EnumDirection.EnumDirectionLimit[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HORIZONTAL

    public static final EnumDirection.EnumDirectionLimit HORIZONTAL

#### VERTICAL

    public static final EnumDirection.EnumDirectionLimit VERTICAL

### Method Detail

#### values

    public static EnumDirection.EnumDirectionLimit[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EnumDirection.EnumDirectionLimit c : EnumDirection.EnumDirectionLimit.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EnumDirection.EnumDirectionLimit valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### a

    public boolean a(EnumDirection var1)